Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network143.94.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
143.94.0.0
Broadcast address
143.95.255.255
First usable
143.94.0.1
Last usable
143.95.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex 8F5E0000 · Integer 2405302272 to 2405433343
Reverse DNS zones
94.143.in-addr.arpa
95.143.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001111.01011110.00000000.00000000143.94.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10001111.01011110.00000000.00000000143.94.0.0
Broadcast10001111.01011111.11111111.11111111143.95.255.255
Split into smaller subnets/22

143.94.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1143.94.0.0/22143.94.0.1 to 143.94.3.254143.94.3.2551,022
2143.94.4.0/22143.94.4.1 to 143.94.7.254143.94.7.2551,022
3143.94.8.0/22143.94.8.1 to 143.94.11.254143.94.11.2551,022
4143.94.12.0/22143.94.12.1 to 143.94.15.254143.94.15.2551,022
5143.94.16.0/22143.94.16.1 to 143.94.19.254143.94.19.2551,022
6143.94.20.0/22143.94.20.1 to 143.94.23.254143.94.23.2551,022
7143.94.24.0/22143.94.24.1 to 143.94.27.254143.94.27.2551,022
8143.94.28.0/22143.94.28.1 to 143.94.31.254143.94.31.2551,022
9143.94.32.0/22143.94.32.1 to 143.94.35.254143.94.35.2551,022
10143.94.36.0/22143.94.36.1 to 143.94.39.254143.94.39.2551,022
11143.94.40.0/22143.94.40.1 to 143.94.43.254143.94.43.2551,022
12143.94.44.0/22143.94.44.1 to 143.94.47.254143.94.47.2551,022
13143.94.48.0/22143.94.48.1 to 143.94.51.254143.94.51.2551,022
14143.94.52.0/22143.94.52.1 to 143.94.55.254143.94.55.2551,022
15143.94.56.0/22143.94.56.1 to 143.94.59.254143.94.59.2551,022
16143.94.60.0/22143.94.60.1 to 143.94.63.254143.94.63.2551,022
17143.94.64.0/22143.94.64.1 to 143.94.67.254143.94.67.2551,022
18143.94.68.0/22143.94.68.1 to 143.94.71.254143.94.71.2551,022
19143.94.72.0/22143.94.72.1 to 143.94.75.254143.94.75.2551,022
20143.94.76.0/22143.94.76.1 to 143.94.79.254143.94.79.2551,022
21143.94.80.0/22143.94.80.1 to 143.94.83.254143.94.83.2551,022
22143.94.84.0/22143.94.84.1 to 143.94.87.254143.94.87.2551,022
23143.94.88.0/22143.94.88.1 to 143.94.91.254143.94.91.2551,022
24143.94.92.0/22143.94.92.1 to 143.94.95.254143.94.95.2551,022
25143.94.96.0/22143.94.96.1 to 143.94.99.254143.94.99.2551,022
26143.94.100.0/22143.94.100.1 to 143.94.103.254143.94.103.2551,022
27143.94.104.0/22143.94.104.1 to 143.94.107.254143.94.107.2551,022
28143.94.108.0/22143.94.108.1 to 143.94.111.254143.94.111.2551,022
29143.94.112.0/22143.94.112.1 to 143.94.115.254143.94.115.2551,022
30143.94.116.0/22143.94.116.1 to 143.94.119.254143.94.119.2551,022
31143.94.120.0/22143.94.120.1 to 143.94.123.254143.94.123.2551,022
32143.94.124.0/22143.94.124.1 to 143.94.127.254143.94.127.2551,022
33143.94.128.0/22143.94.128.1 to 143.94.131.254143.94.131.2551,022
34143.94.132.0/22143.94.132.1 to 143.94.135.254143.94.135.2551,022
35143.94.136.0/22143.94.136.1 to 143.94.139.254143.94.139.2551,022
36143.94.140.0/22143.94.140.1 to 143.94.143.254143.94.143.2551,022
37143.94.144.0/22143.94.144.1 to 143.94.147.254143.94.147.2551,022
38143.94.148.0/22143.94.148.1 to 143.94.151.254143.94.151.2551,022
39143.94.152.0/22143.94.152.1 to 143.94.155.254143.94.155.2551,022
40143.94.156.0/22143.94.156.1 to 143.94.159.254143.94.159.2551,022
41143.94.160.0/22143.94.160.1 to 143.94.163.254143.94.163.2551,022
42143.94.164.0/22143.94.164.1 to 143.94.167.254143.94.167.2551,022
43143.94.168.0/22143.94.168.1 to 143.94.171.254143.94.171.2551,022
44143.94.172.0/22143.94.172.1 to 143.94.175.254143.94.175.2551,022
45143.94.176.0/22143.94.176.1 to 143.94.179.254143.94.179.2551,022
46143.94.180.0/22143.94.180.1 to 143.94.183.254143.94.183.2551,022
47143.94.184.0/22143.94.184.1 to 143.94.187.254143.94.187.2551,022
48143.94.188.0/22143.94.188.1 to 143.94.191.254143.94.191.2551,022
49143.94.192.0/22143.94.192.1 to 143.94.195.254143.94.195.2551,022
50143.94.196.0/22143.94.196.1 to 143.94.199.254143.94.199.2551,022
51143.94.200.0/22143.94.200.1 to 143.94.203.254143.94.203.2551,022
52143.94.204.0/22143.94.204.1 to 143.94.207.254143.94.207.2551,022
53143.94.208.0/22143.94.208.1 to 143.94.211.254143.94.211.2551,022
54143.94.212.0/22143.94.212.1 to 143.94.215.254143.94.215.2551,022
55143.94.216.0/22143.94.216.1 to 143.94.219.254143.94.219.2551,022
56143.94.220.0/22143.94.220.1 to 143.94.223.254143.94.223.2551,022
57143.94.224.0/22143.94.224.1 to 143.94.227.254143.94.227.2551,022
58143.94.228.0/22143.94.228.1 to 143.94.231.254143.94.231.2551,022
59143.94.232.0/22143.94.232.1 to 143.94.235.254143.94.235.2551,022
60143.94.236.0/22143.94.236.1 to 143.94.239.254143.94.239.2551,022
61143.94.240.0/22143.94.240.1 to 143.94.243.254143.94.243.2551,022
62143.94.244.0/22143.94.244.1 to 143.94.247.254143.94.247.2551,022
63143.94.248.0/22143.94.248.1 to 143.94.251.254143.94.251.2551,022
64143.94.252.0/22143.94.252.1 to 143.94.255.254143.94.255.2551,022
65143.95.0.0/22143.95.0.1 to 143.95.3.254143.95.3.2551,022
66143.95.4.0/22143.95.4.1 to 143.95.7.254143.95.7.2551,022
67143.95.8.0/22143.95.8.1 to 143.95.11.254143.95.11.2551,022
68143.95.12.0/22143.95.12.1 to 143.95.15.254143.95.15.2551,022
69143.95.16.0/22143.95.16.1 to 143.95.19.254143.95.19.2551,022
70143.95.20.0/22143.95.20.1 to 143.95.23.254143.95.23.2551,022
71143.95.24.0/22143.95.24.1 to 143.95.27.254143.95.27.2551,022
72143.95.28.0/22143.95.28.1 to 143.95.31.254143.95.31.2551,022
73143.95.32.0/22143.95.32.1 to 143.95.35.254143.95.35.2551,022
74143.95.36.0/22143.95.36.1 to 143.95.39.254143.95.39.2551,022
75143.95.40.0/22143.95.40.1 to 143.95.43.254143.95.43.2551,022
76143.95.44.0/22143.95.44.1 to 143.95.47.254143.95.47.2551,022
77143.95.48.0/22143.95.48.1 to 143.95.51.254143.95.51.2551,022
78143.95.52.0/22143.95.52.1 to 143.95.55.254143.95.55.2551,022
79143.95.56.0/22143.95.56.1 to 143.95.59.254143.95.59.2551,022
80143.95.60.0/22143.95.60.1 to 143.95.63.254143.95.63.2551,022
81143.95.64.0/22143.95.64.1 to 143.95.67.254143.95.67.2551,022
82143.95.68.0/22143.95.68.1 to 143.95.71.254143.95.71.2551,022
83143.95.72.0/22143.95.72.1 to 143.95.75.254143.95.75.2551,022
84143.95.76.0/22143.95.76.1 to 143.95.79.254143.95.79.2551,022
85143.95.80.0/22143.95.80.1 to 143.95.83.254143.95.83.2551,022
86143.95.84.0/22143.95.84.1 to 143.95.87.254143.95.87.2551,022
87143.95.88.0/22143.95.88.1 to 143.95.91.254143.95.91.2551,022
88143.95.92.0/22143.95.92.1 to 143.95.95.254143.95.95.2551,022
89143.95.96.0/22143.95.96.1 to 143.95.99.254143.95.99.2551,022
90143.95.100.0/22143.95.100.1 to 143.95.103.254143.95.103.2551,022
91143.95.104.0/22143.95.104.1 to 143.95.107.254143.95.107.2551,022
92143.95.108.0/22143.95.108.1 to 143.95.111.254143.95.111.2551,022
93143.95.112.0/22143.95.112.1 to 143.95.115.254143.95.115.2551,022
94143.95.116.0/22143.95.116.1 to 143.95.119.254143.95.119.2551,022
95143.95.120.0/22143.95.120.1 to 143.95.123.254143.95.123.2551,022
96143.95.124.0/22143.95.124.1 to 143.95.127.254143.95.127.2551,022
97143.95.128.0/22143.95.128.1 to 143.95.131.254143.95.131.2551,022
98143.95.132.0/22143.95.132.1 to 143.95.135.254143.95.135.2551,022
99143.95.136.0/22143.95.136.1 to 143.95.139.254143.95.139.2551,022
100143.95.140.0/22143.95.140.1 to 143.95.143.254143.95.143.2551,022
101143.95.144.0/22143.95.144.1 to 143.95.147.254143.95.147.2551,022
102143.95.148.0/22143.95.148.1 to 143.95.151.254143.95.151.2551,022
103143.95.152.0/22143.95.152.1 to 143.95.155.254143.95.155.2551,022
104143.95.156.0/22143.95.156.1 to 143.95.159.254143.95.159.2551,022
105143.95.160.0/22143.95.160.1 to 143.95.163.254143.95.163.2551,022
106143.95.164.0/22143.95.164.1 to 143.95.167.254143.95.167.2551,022
107143.95.168.0/22143.95.168.1 to 143.95.171.254143.95.171.2551,022
108143.95.172.0/22143.95.172.1 to 143.95.175.254143.95.175.2551,022
109143.95.176.0/22143.95.176.1 to 143.95.179.254143.95.179.2551,022
110143.95.180.0/22143.95.180.1 to 143.95.183.254143.95.183.2551,022
111143.95.184.0/22143.95.184.1 to 143.95.187.254143.95.187.2551,022
112143.95.188.0/22143.95.188.1 to 143.95.191.254143.95.191.2551,022
113143.95.192.0/22143.95.192.1 to 143.95.195.254143.95.195.2551,022
114143.95.196.0/22143.95.196.1 to 143.95.199.254143.95.199.2551,022
115143.95.200.0/22143.95.200.1 to 143.95.203.254143.95.203.2551,022
116143.95.204.0/22143.95.204.1 to 143.95.207.254143.95.207.2551,022
117143.95.208.0/22143.95.208.1 to 143.95.211.254143.95.211.2551,022
118143.95.212.0/22143.95.212.1 to 143.95.215.254143.95.215.2551,022
119143.95.216.0/22143.95.216.1 to 143.95.219.254143.95.219.2551,022
120143.95.220.0/22143.95.220.1 to 143.95.223.254143.95.223.2551,022
121143.95.224.0/22143.95.224.1 to 143.95.227.254143.95.227.2551,022
122143.95.228.0/22143.95.228.1 to 143.95.231.254143.95.231.2551,022
123143.95.232.0/22143.95.232.1 to 143.95.235.254143.95.235.2551,022
124143.95.236.0/22143.95.236.1 to 143.95.239.254143.95.239.2551,022
125143.95.240.0/22143.95.240.1 to 143.95.243.254143.95.243.2551,022
126143.95.244.0/22143.95.244.1 to 143.95.247.254143.95.247.2551,022
127143.95.248.0/22143.95.248.1 to 143.95.251.254143.95.251.2551,022
128143.95.252.0/22143.95.252.1 to 143.95.255.254143.95.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses